package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Base class for all Tag classes.
 * This class should never be instantiated.
 */
public class Tag implements iTag {
	String name = "Tag";

/**
 * Factory method to get a Tag by name.
 */
	public static Tag getTag(String tName) {
		String tagName = "com.palserv.XMidi.Tag"+tName;
		Tag tag = (Tag)Util.getInstanceFromName(tagName);
		return tag;
	}

	public void startElement(Attributes attr) {
		Util.rpt("Tag.startElement: we should never be called!");
	}

	public void endElement() {
//		  State.getState().parent = "END_TAG";
	}

	public String createStartXML() {
		return null;
	}

	public String createEndXML() {
		return Util.makeIndent()+"</"+getName()+">\n";
	}

	public String getName() {
		return name;
	}
}

