package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the CONTROL tag
 */
public class TagCONTROL extends TagNOTE_OFF {
	private String name = "CONTROL";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("CONTROL element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("CONTROL element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("CONTROL element must be child of CHANNEL");
		}
		String cnum = Util.getAttr(attr, "NUMBER");
		Util.wpt(Util.stringToInt(cnum));
		String val = Util.getAttr(attr, "VALUE");
		Util.wpt(Util.stringToInt(val));
//		  state.parent = "CONTROL";
	}
/*
			} else if (elementName.equals("CONTROL")) {
				if (!chunkFlag) {
					Util.rpt("CONTROL element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("CONTROL element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("CONTROL element must be child of CHANNEL");
				}
				String cnum = elem.getAttribute("NUMBER");
				wpt(stringToInt(cnum));
				String val = elem.getAttribute("VALUE");
				wpt(stringToInt(val));
spt("CONTROL - "+cnum+", "+val);
*/
	public void endElement() {
	}

	public String getName() {
		return name;
	}
}

