package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the EDATA tag
 */
public class TagEDATA extends Tag {
	private String name = "EDATA";


	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("EDATA element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("EDATA element must be in MTrk chunk");
		}
		if (!state.getParent().equals("DELTA") &&
				!state.getParent().equals("STATUS")) {
			Util.rpt("STATUS element must be child of " +
				"DELTA or STATUS");
		}
//		  state.parent = "EDATA";
	}
/*
			} else if (elementName.equals("EDATA")) {
				if (!chunkFlag) {
					Util.rpt("EDATA element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("EDATA element must be in MTrk chunk");
				}
				if (!parent.equals("DELTA") &&
						!parent.equals("STATUS")) {
					Util.rpt("STATUS element must be child of " +
						"DELTA or STATUS");
				}
*/
	public void endElement() {
//		  State.getState().parent = "END_TAG";
	}

	public String createStartXML() {
		State state = State.getState();
		StringBuffer bth = new StringBuffer("");
		bth.append(Util.makeTag(name, null, true));
		state.indent ++;
		bth.append(Util.makeIndent()+state.edata+"\n");
		state.indent --;
		return bth.toString();
	}


	public String getName() {
		return name;
	}
}

