package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the MThd tag
 */
public class TagMThd extends TagCHUNK {
	String name = "MThd";
/*
			if (cid.equals("MThd")) {
				Element mthd = addElem(xDoc, root, "MThd");
				addAttr(mthd,"TYPE", cid);
				addAttr(mthd,"LENGTH", ""+len);

				midiFormat = util.baToInt(dta,0,1);
				numTracks = util.baToInt(dta,2,3);
				ppnq = util.baToInt(dta,4,5);
				String pnq = util.baToHex(dta,4,5);

				Element eFormat = addElem(xDoc, mthd, "FORMAT");
				addText(xDoc, eFormat, ""+midiFormat);

				Element eTracks = addElem(xDoc, mthd, "TRACKS");
				addText(xDoc, eTracks, ""+numTracks);

				Element ePnq = addElem(xDoc, mthd, "PPNQ");
				addText(xDoc, ePnq, pnq);
*/
	public String createStartXML() {
		State state = State.getState();
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr typ = new TagAttr("TYPE", name);
		attrs.add(typ);
		TagAttr len = new TagAttr("LENGTH", ""+state.chunkLen);
		attrs.add(len);
		StringBuffer x = new StringBuffer(Util.makeTag(name, attrs, true));
		state.indent ++;
		Tag frm = Tag.getTag("FORMAT");
		x.append(frm.createStartXML());
		x.append(frm.createEndXML());
		frm = Tag.getTag("TRACKS");
		x.append(frm.createStartXML());
		x.append(frm.createEndXML());
		frm = Tag.getTag("PPNQ");
		x.append(frm.createStartXML());
		x.append(frm.createEndXML());
		state.indent --;
		return x.toString();
	}

	public String getName() {
		return name;
	}
}

