package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the NOTE_OFF tag
 */
public class TagNOTE_OFF extends Tag {
	private String name = "NOTE_OFF";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("NOTE_OFF element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("NOTE_OFF element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("NOTE_OFF element must be child of CHANNEL");
		}
		String pitch = Util.getAttr(attr,"PITCH");
		Util.wpt(Util.stringToInt(pitch));
		String vel = Util.getAttr(attr,"VELOCITY");
		Util.wpt(Util.stringToInt(vel));
//		  state.parent = "NOTE_OFF";
	}
/*
			} else if (elementName.equals("NOTE_OFF")) {
				if (!chunkFlag) {
					Util.rpt("NOTE_OFF element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("NOTE_OFF element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("NOTE_OFF element must be child of CHANNEL");
				}
				String pitch = elem.getAttribute("PITCH");
				wpt(stringToInt(pitch));
				String vel = elem.getAttribute("VELOCITY");
				wpt(stringToInt(vel));
spt("Note off - "+pitch+", "+vel);
*/
	public void endElement() {
	}
/*
				Element subchan = addElem(xDoc, channel, state.ctag);
				for (int c = 0; c < state.ctagnum; c ++) {
					addAttr(subchan, state.ctagAttr[c], state.ctagAttrVal[c]);
				}
*/
	public String createStartXML() {
		State state = State.getState();
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr[] ta = new TagAttr[state.ctagnum];
		for (int c = 0; c < state.ctagnum; c ++) {
			ta[c] = new TagAttr(state.ctagAttr[c], state.ctagAttrVal[c]);
			attrs.add(ta[c]);
		}
		String x = Util.makeTag(name, attrs, true);
		return x;
	}

	public String getName() {
		return name;
	}
}

