package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the NOTE_ON tag
 */
public class TagNOTE_ON extends TagNOTE_OFF {
	private String name = "NOTE_ON";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("NOTE_ON element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("NOTE_ON element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("NOTE_ON element must be child of CHANNEL");
		}
		String pitch = Util.getAttr(attr, "PITCH");
		Util.wpt(Util.stringToInt(pitch));
		String vel = Util.getAttr(attr, "VELOCITY");
		Util.wpt(Util.stringToInt(vel));
//		  state.parent = "NOTE_ON";
	}
/*
			} else if (elementName.equals("NOTE_ON")) {
				if (!chunkFlag) {
					Util.rpt("NOTE_ON element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("NOTE_ON element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("NOTE_ON element must be child of CHANNEL");
				}
				String pitch = elem.getAttribute("PITCH");
				wpt(stringToInt(pitch));
				String vel = elem.getAttribute("VELOCITY");
				wpt(stringToInt(vel));
spt("Note on - "+pitch+", "+vel);
*/
	public void endElement() {
	}

	public String getName() {
		return name;
	}
}

