package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Base class for all Tag classes.
 * This class should never be instantiated.
 */
public class Tag implements iTag {

/**
 * Factory method to get a Tag by name.
 */
	public static Tag getTag(String tName) {
		String tagName = "Tag"+tName;
		Tag tag = (Tag)Util.getInstanceFromName(tagName);
		return tag;
	}

	public void startElement(Attributes attr) {
		Util.rpt("Tag.startElement: we should never be called! "+state);
	}

	public void endElement() {
		Util.rpt("Tag.endElement: we should never be called! "+state);
	}
}

