package com.palserv.XMidi;

import java.io.*;
import java.util.*;

/**
 * Hold state data for calls to Tag subclasses.
 */
public class State {
	// state for XM
	FileOutputStream fos;
	boolean chunkFlag = false;
	String chunkType;
	Stack<String> parents;
//	  String parent = "X";
	boolean edFlag;

	// state for MX
	FileInputStream fis;
	PrintWriter pw;
	int indent;
	byte[] dta;
	int numTracks;
	int trkCount;
	String deltaLen;
	int[] timeSig;
	String snam;
	String sval;
	String nmData;
	String edata;
	String ctyp;
	String cnum;
	String ctag;
	String ctagAttr[];
	String ctagAttrVal[];
	int ctagnum;

	// state for both XM and MX
	int chunkLen;
	int slen;

	private static State myState;

	static {
		myState = new State();
	}

	private State() {}

	public static State getState() {
		return myState;
	}

	public String getParent() {
		return parents.peek();
	}
}
