package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the AFTER tag
 */
public class TagAFTER extends TagNOTE_OFF {
	private String name = "AFTER";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("AFTER element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("AFTER element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("AFTER element must be child of CHANNEL");
		}
		String pitch = Util.getAttr(attr, "PITCH");
		Util.wpt(Util.stringToInt(pitch));
		String pres = Util.getAttr(attr, "PRESSURE");
		Util.wpt(Util.stringToInt(pres));
//		  state.parent = "AFTER";
	}
/*
			} else if (elementName.equals("AFTER")) {
				if (!chunkFlag) {
					Util.rpt("AFTER element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("AFTER element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("AFTER element must be child of CHANNEL");
				}
				String pitch = elem.getAttribute("PITCH");
				wpt(stringToInt(pitch));
				String pres = elem.getAttribute("PRESSURE");
				wpt(stringToInt(pres));
spt("AFTER - "+pitch+", "+pres);
*/
	public void endElement() {
	}

	public String getName() {
		return name;
	}
}

