package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the CHANNEL tag
 */
public class TagCHANNEL extends Tag {
	private String name = "CHANNEL";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("CHANNEL element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("CHANNEL element must be in MTrk chunk");
		}
		if (!state.getParent().equals("DELTA") &&
				!state.getParent().equals("STATUS")) {
			Util.rpt("STATUS element must be child of " +
				"DELTA or STATUS");
		}
//		  state.parent = "CHANNEL";
	}
/*
			} else if (elementName.equals("CHANNEL")) {
				if (!chunkFlag) {
					Util.rpt("CHANNEL element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("CHANNEL element must be in MTrk chunk");
				}
				if (!parent.equals("DELTA") &&
						!parent.equals("STATUS")) {
					Util.rpt("STATUS element must be child of " +
						"DELTA or STATUS");
				}
*/
	public void endElement() {
	}

/*
				Element channel = null;
				if (statFlag) {
					channel = addElem(xDoc, eStatus, "CHANNEL");
				} else {
					channel = addElem(xDoc, delta, "CHANNEL");
				}
				addAttr(channel, "TYPE", state.ctyp);
				addAttr(channel, "NUMBER", state.cnum);
				Element subchan = addElem(xDoc, channel, state.ctag);
				for (int c = 0; c < state.ctagnum; c ++) {
					addAttr(subchan, state.ctagAttr[c], state.ctagAttrVal[c]);
				}
*/
	public String createStartXML() {
		State state = State.getState();
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr typ = new TagAttr("TYPE", state.ctyp);
		attrs.add(typ);
		TagAttr num = new TagAttr("NUMBER", ""+state.cnum);
		attrs.add(num);
		StringBuffer x = new StringBuffer(Util.makeTag(name, attrs, true));
		state.indent ++;
		Tag sub = Tag.getTag(state.ctag);
		x.append(sub.createStartXML());
		x.append(sub.createEndXML());
		state.indent --;
		return x.toString();
	}

	public String getName() {
		return name;
	}
}

