package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the CHUNK tag
 */
public class TagCHUNK extends Tag {
	private String name = "CHUNK";

	public void startElement(Attributes attr) {
		State state = State.getState();
		state.chunkFlag = true;   // ??? in TagMThd ???
		state.chunkType = Util.getAttr(attr, "TYPE");
		Util.writeString(state.chunkType, 4);
		String ilen = Util.getAttr(attr, "LENGTH");
		state.chunkLen = Util.stringToInt(Util.getAttr(attr, "LENGTH"));
		Util.writeFullWord(state.chunkLen);
//		  setParent(state);
	}

	public void endElement() {
		State.getState().chunkFlag = false;
	}

/*
				Element chnk = addElem(xDoc, root, "CHUNK");
				addAttr(chnk, "TYPE", cid);
				addAttr(chnk, "LENGTH", ""+len);

				doHexData(dta,len,fw, chnk, xDoc);
*/
	public String createStartXML() {
		State state = State.getState();
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr typ = new TagAttr("TYPE", name);
		attrs.add(typ);
		TagAttr len = new TagAttr("LENGTH", ""+state.chunkLen);
		attrs.add(len);
		StringBuffer x = new StringBuffer(Util.makeTag(name, attrs, true));
		state.indent ++;
		Tag hex = Tag.getTag("TagHEXDATA");
		x.append(hex.createStartXML());
		x.append(hex.createEndXML());
		state.indent --;
		return x.toString();
	}

	public String getName() {
		return name;
	}
}

