package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Base class for all TagContent classes.
 * This class should never be instantiated.
 */
public class TagContentFORMAT extends TagContent {

	public void doContent(String typ) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("FORMAT element only valid within a chunk");
		}
		if (!state.chunkType.equals("MThd")) {
			Util.rpt("FORMAT element must be in MThd chunk");
		}
		int midiFormat = Util.stringToInt(typ);
		Util.writeHalfWord(midiFormat);
	}
}

