package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Base class for all TagContent classes.
 * This class should never be instantiated.
 */
public class TagContentPPNQ extends TagContent {

	public void doContent(String pnq) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("PPNQ element only valid within a chunk");
		}
		if (!state.chunkType.equals("MThd")) {
			Util.rpt("PPNQ element must be in MThd chunk");
		}
/*
		if (pnq == null) {
			Util.rpt("null value for MThd->PPNQ");
		}
		String p = Util.fixString(pnq);
		if (p == null) {
			return;
		}
*/
		Util.writeHex(pnq,2);
	}
/*
			if (parent.equals("PPNQ")) {
				if (!chunkFlag) {
					Util.rpt("PPNQ element only valid within a chunk");
				}
				if (!chunkType.equals("MThd")) {
					Util.rpt("PPNQ element must be in MThd chunk");
				}
				String pnq = xe.getNodeValue();
				if (pnq == null) {
					Util.rpt("null value for MThd->PPNQ");
				}
				pnq = pnq.trim();
				if (pnq == null) {
					Util.rpt("null value for MThd->PPNQ (after trim)");
				}
spt("chunk->ppnq is "+pnq);
				writeHex(pnq,2);
			}
*/
}

