package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the HEXDATA tag
 */
public class TagHEXDATA extends TagFORMAT {
	private String name = "HEXDATA";
/*
	void doHexData(byte[] dta, int len, FileWriter fw,
			Element chnk, Document xDoc) {
//		  Util.ptf("        <HEXDATA>");
		Element hdata = addElem(xDoc, chnk, "HEXDATA");
		StringBuffer bth = new StringBuffer("");
		int bpl = 32;
		int r = len % bpl;
		int n = len / bpl;
		for (int i = 0; i < n; i ++) {
			int strt = i * bpl;
//			  Util.ptf("            "+util.baToHex(dta,strt,strt + bpl - 1));
			bth.append(util.baToHex(dta,strt,strt + bpl - 1));
		}
		if (r > 0) {
			int strt = n * bpl;
//			  Util.ptf("            "+util.baToHex(dta,strt,strt + r - 1));
			bth.append(util.baToHex(dta,strt,strt + r - 1));
		}
		addText(xDoc, hdata, bth.toString());
//		  Util.ptf("        </HEXDATA>");
	}
*/
	public String createStartXML() {
		State state = State.getState();
		StringBuffer bth = new StringBuffer("");
		bth.append(Util.makeTag(name, null, true));
		int bpl = 32;
		int r = state.chunkLen % bpl;
		int n = state.chunkLen / bpl;
		state.indent ++;
		for (int i = 0; i < n; i ++) {
			int strt = i * bpl;
			bth.append(Util.makeIndent()+Util.baToHex(state.dta,strt,strt + bpl - 1));
		}
		if (r > 0) {
			int strt = n * bpl;
			bth.append(Util.makeIndent()+Util.baToHex(state.dta,strt,strt + r - 1));
		}
		state.indent --;
		return bth.toString();
	}

	public String getName() {
		return name;
	}
}

