package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the MTrk tag
 */
public class TagMTrk extends TagCHUNK {
	private String name = "MTrk";
/*
				trkCount ++;
				if (trkCount > numTracks) {
					util.rpt("too many tracks");
				}

				Element mtrk = addElem(xDoc, root, "MTrk");
				addAttr(mtrk, "TYPE", cid);
				addAttr(mtrk, "LENGTH", ""+len);
				addAttr(mtrk, "NUMBER", ""+trkCount);
*/

	public String createStartXML() {
		State state = State.getState();
		state.trkCount ++;
		if (state.trkCount > state.numTracks) {
			Util.rpt("too many tracks");
		}
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr typ = new TagAttr("TYPE", name);
		attrs.add(typ);
		TagAttr len = new TagAttr("LENGTH", ""+state.chunkLen);
		attrs.add(len);
		TagAttr trk = new TagAttr("NUMBER", ""+state.trkCount);
		attrs.add(trk);
		String x = Util.makeTag(name, attrs, true);
		return x;
	}

	public String getName() {
		return name;
	}
}

