package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the PRESSURE tag
 */
public class TagPRESSURE extends TagNOTE_OFF {
	private String name = "PRESSURE";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("PRESSURE element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("PRESSURE element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("PRESSURE element must be child of CHANNEL");
		}
		String amt = Util.getAttr(attr, "AMOUNT");
		Util.wpt(Util.stringToInt(amt));
//		  state.parent = "PRESSURE";
	}
/*
			} else if (elementName.equals("PRESSURE")) {
				if (!chunkFlag) {
					Util.rpt("PRESSURE element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("PRESSURE element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("PRESSURE element must be child of CHANNEL");
				}
				String amt = elem.getAttribute("AMOUNT");
				wpt(stringToInt(amt));
spt("PRESSURE - "+amt);
*/
	public void endElement() {
	}

	public String getName() {
		return name;
	}
}

