package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the PROGRAM tag
 */
public class TagPROGRAM extends TagNOTE_OFF {
	private String name = "PROGRAM";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("PROGRAM element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("PROGRAM element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("PROGRAM element must be child of CHANNEL");
		}
		String patch = Util.getAttr(attr, "NUMBER");
		Util.wpt(Util.stringToInt(patch));
//		  state.parent = "PROGRAM";
	}
/*
			} else if (elementName.equals("PROGRAM")) {
				if (!chunkFlag) {
					Util.rpt("PROGRAM element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("PROGRAM element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("PROGRAM element must be child of CHANNEL");
				}
				String patch = elem.getAttribute("NUMBER");
				wpt(stringToInt(patch));
spt("PATCH - "+patch);
*/
	public void endElement() {
	}

	public String getName() {
		return name;
	}
}

