package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the TIME_SIG tag
 */
public class TagTIME_SIG extends Tag {
	private String name = "TIME_SIG";

	public void startElement(Attributes attr) {
//		  Util.rpt("Tag.startElement: we should never be called! "+State.getState());
	}

	public void endElement() {
//		  Util.rpt("Tag.endElement: we should never be called! "+State.getState());
	}
/*
					addAttr(timeSig, "NN", ""+nn);
					addAttr(timeSig, "DD", ""+dd);
					addAttr(timeSig, "CC", ""+cc);
					addAttr(timeSig, "BB", ""+bb);
					addAttr(timeSig, "SIG", ""+nn+"/"+ddd);
*/
	public String createStartXML() {
		State state = State.getState();
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr nn = new TagAttr("NN", ""+state.timeSig[0]);
		attrs.add(nn);
		TagAttr dd = new TagAttr("DD", ""+state.timeSig[1]);
		attrs.add(dd);
		TagAttr cc = new TagAttr("CC", ""+state.timeSig[2]);
		attrs.add(cc);
		TagAttr bb = new TagAttr("BB", ""+state.timeSig[3]);
		attrs.add(cc);
		TagAttr sig = new TagAttr("SIG", ""+state.timeSig[0]+"/"+state.timeSig[4]);
		attrs.add(sig);
		String x = Util.makeTag(name, attrs, false);
		return x;
	}

	public String getName() {
		return name;
	}
}

