package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the WHEEL tag
 */
public class TagWHEEL extends TagNOTE_OFF {
	private String name = "WHEEL";

	public void startElement(Attributes attr) {
		State state = State.getState();
		if (!state.chunkFlag) {
			Util.rpt("WHEEL element only valid within a chunk");
		}
		if (!state.chunkType.equals("MTrk")) {
			Util.rpt("WHEEL element must be in MTrk chunk");
		}
		if (!state.getParent().equals("CHANNEL")) {
			Util.rpt("WHEEL element must be child of CHANNEL");
		}
		String amt = Util.getAttr(attr, "AMOUNT");
		int a = Util.stringToInt(amt);
		int b = a;
		int c = a;
		b &= 127;
		c >>= 7;
		Util.wpt(c);
		Util.wpt(b);
//		  state.parent = "WHEEL";
	}
/*
			} else if (elementName.equals("WHEEL")) {
				if (!chunkFlag) {
					Util.rpt("WHEEL element only valid within a chunk");
				}
				if (!chunkType.equals("MTrk")) {
					Util.rpt("WHEEL element must be in MTrk chunk");
				}
				if (!parent.equals("CHANNEL")) {
					Util.rpt("WHEEL element must be child of CHANNEL");
				}
				String amt = elem.getAttribute("AMOUNT");
				int a = stringToInt(amt);
				int b = a;
				int c = a;
				b &= 127;
				c >>= 7;
				wpt(c);
				wpt(b);
spt("Wheel - "+a+": ("+c+","+a+")");
*/
	public void endElement() {
	}

	public String getName() {
		return name;
	}
}

