package com.palserv.XMidi;

import org.xml.sax.Attributes;
import java.util.*;

/**
 * Implement the XMidi tag
 */
public class TagXMidi extends Tag {
	String name = "XMidi";

	public void startElement(Attributes attr) {
		// validate version
		String ver = Util.getAttr(attr, "VERSION");
		if (!ver.equals(Version._VERSION)) {
			Util.rpt("wrong version; expecting "+Version._VERSION+", got "+ver);
		}
//		  State.getState().parent = "XMidi";
	}

	public void endElement() {
		// we should be done with the file - nothing to do
	}

	public String createStartXML() {
		ArrayList<TagAttr> attrs = new ArrayList<TagAttr>();
		TagAttr ta = new TagAttr("VERSION", Version._VERSION);
		attrs.add(ta);
		String x = Util.makeTag(name, attrs, true);
		return x;
	}

	public String getName() {
		return name;
	}
}

