package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the CHUNK tag
 */
public class TagCHUNK extends Tag {

	public void startElement(Attributes attr) {
		State.getState().chunkFlag = true;
		String chunkType = Util.getAttr(attr, "TYPE");
		writeString(chunkType, 4);
	}

/*
	spt("chunk value = "+xe.getNodeValue());
				chunkFlag = true;
				chunkType = elem.getAttribute("TYPE");
				writeString(chunkType, 4);
				String ilen = elem.getAttribute("LENGTH");
				Integer iLen = new Integer(ilen);
				chunkLen = iLen.intValue();
				writeFullWord(chunkLen);
	spt("chunk type is: "+chunkType+" with length "+ilen);
*/

	public void endElement() {
		chunkFlag = false;
	}
}

