package com.palserv.XMidi;

import org.xml.sax.Attributes;

/**
 * Implement the XMidi tag
 */
public class TagXMidi extends Tag {

	public void startElement(Attributes attr) {
		// validate version
		String ver = Util.getAttr(attr, "VERSION");
		if (!ver.equals(Version._VERSION)) {
			Util.rpt("wrong version; expecting "+Version._VERSION+", got "+ver);
		}
	}

	public void endElement() {
		// we should be done with the file - nothing to do
	}
}

