package com.palserv.XMidi;

import java.io.*;
import java.util.*;

/**
 * Hold state data for calls to Tag subclasses.
 */
public class State {
	// state for XM
	FileOutputStream fos;
	boolean chunkFlag = false;
	String chunkType;
	Stack<String> parents;
	boolean edFlag;
	String content;

	// state for MX
	FileInputStream fis;
	PrintWriter pw;
	int indent;
	byte[] dta;
	int numTracks;
	int trkCount;
	String deltaLen;
	int[] timeSig;
	String snam;
	String sval;
	String nmData;
	String edata;
	String ctyp;
	String cnum;
	String ctag;
	String ctagAttr[];
	String ctagAttrVal[];
	int ctagnum;
	byte[] hdr;
	boolean verbose = false;
	boolean testMode = false;

	// state for both XM and MX
	int chunkLen;
	int slen;

/**
 * Peek at the top item in the parent stack.
 */
	public String getParent() {
		return parents.peek();
	}
}
